> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/resources/credentials/listcredentials-method.md).

# ListCredentials Method

## Description

Retrieves the list of credentials.

## HTTP Request

`GET https://api.skeddly.com/api/Credentials`

## Query Parameters

### filter.credentialIds

A comma-separated list of credential IDs.

Type: `string`

### filter.isIncludeDeleted

Indicates whether to include deleted credentials in the result or not.

Type: `boolean`

Default: false

### filter.projectIds

A comma-separated list of projects to include.

Type: `string`

Default: All projects

Required: No

## Returns

Array of [Credential](/data-types/credential-object.md) objects.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/Credentials HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/Credentials" \
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}

{% tab title="Python" %}

```python
import skeddly
client = skeddly.Client()
credentials = client.list_credentials()
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
[
    {
        "actionIds": [
            "a-00000001"
        ],
        "amazonIamRole": {
             "roleArn": "arn:aws:iam::123456789012:role/Skeddly",
             "externalId": "skeddly-12345678"
        },
        "cloudProviderSubTypeId": "amazon-standard",
        "createdDate": "2016-06-08T14:42:00Z",
        "credentialId": "cred-00000001",
        "credentialType": "amazon-iam-role",
        "isUsedForSnsNotifications": false,
        "lastModifiedDate": "2016-06-08T14:42:00Z",
        "lastModifiedBy": "u-00000001",
        "managedInstanceIds": [
            "mi-00000001"
        ],
        "name": "My Credential",
        "projectId": "proj-00000001",
        "status": "active"
    }
]
```
